apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2024-08-29T16:44:12Z"
  generateName: kubevirt-migrate-vm-
  generation: 1
  labels:
    kubevirt.io/vmi-name: fedora-1
  name: kubevirt-migrate-vm-6kggb
  namespace: default
  resourceVersion: "9308951"
  uid: cddfbeb5-86ee-4e11-a048-16e6a2177dbe
spec:
  vmiName: fedora-1
status:
  migrationState:
    completed: true
    endTimestamp: "2024-08-29T16:44:22Z"
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 800
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: cddfbeb5-86ee-4e11-a048-16e6a2177dbe
    mode: PreCopy
    sourceNode: guyc-qe-2jn6p-worker-0-29j8t
    startTimestamp: "2024-08-29T16:44:18Z"
    targetDirectMigrationNodePorts:
      "33729": 0
      "37497": 49153
      "43747": 49152
    targetNode: guyc-qe-2jn6p-worker-0-cg5j2
    targetNodeAddress: 10.131.1.69
    targetNodeDomainDetected: true
    targetNodeDomainReadyTimestamp: "2024-08-29T16:44:22Z"
    targetPod: virt-launcher-fedora-1-c8f6j
  phase: Succeeded
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2024-08-29T16:44:12Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2024-08-29T16:44:12Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2024-08-29T16:44:18Z"
  - phase: PreparingTarget
    phaseTransitionTimestamp: "2024-08-29T16:44:18Z"
  - phase: TargetReady
    phaseTransitionTimestamp: "2024-08-29T16:44:18Z"
  - phase: Running
    phaseTransitionTimestamp: "2024-08-29T16:44:19Z"
  - phase: Succeeded
    phaseTransitionTimestamp: "2024-08-29T16:44:22Z"
